Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.net
Interface ConnectionFilterRulesListener

All Superinterfaces:
  ConnectionFilter, EventListener

All Known Implementing Classes:
  ConnectionFilterImpl

public interface ConnectionFilterRulesListener
extends ConnectionFilter

ConnectionFilterRulesListener interface. The server uses this interface to determine if the rules being specified in the console under the ConnectionFilterRules attribute are valid during startup and at runtime based on the setRules() and checkRules() methods. A user can optionally implement their own interface or just use the existing weblogic connection filter implementation which implements this interface already. This class is called weblogic.security.net.ConnectionFilterImpl .

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `checkRules(String[] filterList)` The server uses this to dynamically check the rules when changes are made in the console for the connection filter rules under the ConnectionFilterRules attribute.
`void` | `setRules(String[] filterList)` The server uses this to dynamically set the rules that are specified in the console for the connection filter rules under the ConnectionFilterRules attribute.

Methods inherited from interface weblogic.security.net.ConnectionFilter
`accept`

Method Detail

### checkRules

    public void checkRules(String[] filterList)
                    throws ParseException

  The server uses this to dynamically check the rules when changes are made in the console for the connection filter rules under the ConnectionFilterRules attribute.

  Parameters:
    `filterList` - the list of rules for a connection filter to check.
  Throws:
    `ParseException` - thrown if the rules are incorrect

### setRules

    public void setRules(String[] filterList)
                  throws ParseException

  The server uses this to dynamically set the rules that are specified in the console for the connection filter rules under the ConnectionFilterRules attribute. The rules are first checked based on checkRules() interface and then are set based on setRules() if there are no ParseExceptions thrown.

  Parameters:
    `filterList` - the list of rules for a connection filter to check and then set.
  Throws:
    `ParseException` - thrown if the rules are incorrect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD